class Punto(object):
    def __init__(self, x, y):
        self.x = x
        self.y = y

    def trasla(self, x, y):
        self.x += x
        self.y += y

    def __repr__(self):
        return "Punto: x = %d, y = %d" % (self.x, self.y)

## ----- main -----
if __name__ == "__main__":

    p = Punto(10, 20)
    print p

    p.trasla(5, -10)
    print p
